glibmm 2.54.1

Public Types | Public Member Functions | List of all members
Gio::ResolverError Class Reference

`#include <giomm/error.h>`

Inheritance diagram for Gio::ResolverError:
[legend]

## Public Types
enum | Code { NOT_FOUND, TEMPORARY_FAILURE, INTERNAL }
| An error code used with G_RESOLVER_ERROR in a Error returned from a Resolver routine. More...

## Public Member Functions
| ResolverError (Code error_code, const Glib::ustring& error_message)
| ResolverError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gio::ResolverError::Code

An error code used with G_RESOLVER_ERROR in a Error returned from a Resolver routine.

Since glibmm 2.22:

Enumerator
NOT_FOUND | The requested name/address/service was not found.
TEMPORARY_FAILURE | The requested information could not be looked up due to a network error or similar problem.
INTERNAL | Unknown error.

## Constructor & Destructor Documentation

## ◆ ResolverError() [1/2]

Gio::ResolverError::ResolverError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

## ◆ ResolverError() [2/2]

Gio::ResolverError::ResolverError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gio::ResolverError::code | ( |  | ) | const